import {defineConfig} from 'vitepress'
import {ThemeConfig} from "./utils";

export const en = defineConfig({
    lang: "en-US",
    title: "MBCP docs",
    description: "MBCP library docs",
    themeConfig: {
        nav: [
            {text: 'Get Start', link: '/en/guide/'},
            {text: 'Reference', link: '/en/refer'},
            {text: 'API Reference', link: '/en/api/'},
            {text: 'Demo', link: '/en/demo/'},
        ],
        docFooter: {
            prev: 'Prev Page',
            next: 'Next Page'
        },
        editLink: ThemeConfig.getEditLink(
            'Edit this page on GitHub',
        ),
        footer: {
            message: 'Documentation built with <a href="https://vitepress.dev/">VitePress</a> | API references generated by <a href="https://github.com/LiteyukiStudio/litedoc">litedoc</a>',
            copyright: ThemeConfig.copyright
        },
        outline: ThemeConfig.getOutLine("Page Content"),
    },
})